<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
org.apache.commons.httpclient.cookie Class Hierarchy (HttpClient 3.1 API)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="org.apache.commons.httpclient.cookie Class Hierarchy (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/cookie/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.commons.httpclient.cookie
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieOrigin.html" title="class in org.apache.commons.httpclient.cookie"><B>CookieOrigin</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookiePathComparator.html" title="class in org.apache.commons.httpclient.cookie"><B>CookiePathComparator</B></A> (implements java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;T&gt;)
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookiePolicy.html" title="class in org.apache.commons.httpclient.cookie"><B>CookiePolicy</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie"><B>CookieSpecBase</B></A> (implements org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A>)
<UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html" title="class in org.apache.commons.httpclient.cookie"><B>NetscapeDraftSpec</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html" title="class in org.apache.commons.httpclient.cookie"><B>RFC2109Spec</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html" title="class in org.apache.commons.httpclient.cookie"><B>RFC2965Spec</B></A> (implements org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieVersionSupport.html" title="interface in org.apache.commons.httpclient.cookie">CookieVersionSupport</A>)
</UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/IgnoreCookiesSpec.html" title="class in org.apache.commons.httpclient.cookie"><B>IgnoreCookiesSpec</B></A> (implements org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A>)
<LI TYPE="circle">org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient"><B>NameValuePair</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><B>Cookie</B></A> (implements java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;T&gt;, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/Cookie2.html" title="class in org.apache.commons.httpclient.cookie"><B>Cookie2</B></A></UL>
</UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io"><B>IOException</B></A><UL>
<LI TYPE="circle">org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/HttpException.html" title="class in org.apache.commons.httpclient"><B>HttpException</B></A><UL>
<LI TYPE="circle">org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/ProtocolException.html" title="class in org.apache.commons.httpclient"><B>ProtocolException</B></A><UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie"><B>MalformedCookieException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieAttributeHandler.html" title="interface in org.apache.commons.httpclient.cookie"><B>CookieAttributeHandler</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie"><B>CookieSpec</B></A><LI TYPE="circle">org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieVersionSupport.html" title="interface in org.apache.commons.httpclient.cookie"><B>CookieVersionSupport</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/auth/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/cookie/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
